%define	version   9100h
%define	release   %mkrel 25.%{dic_date}.1
%define	dic_date  20110409

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:      anthy
Summary:   A Japanese words input system
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://www.fenix.ne.jp/~G-HAL/soft/nosettle/#anthy
Source0:   http://downloads.sourceforge.net/mdk-ut/anthy-%{version}-%{dic_date}ut.tar.bz2
Requires:        %{libname} = %{version}-%{release}
BuildRequires:   emacs-bin automake

%description
Anthy is a free and secure Japanese input system.


%package -n %{libname}
Summary:    Anthy library
Group:      System/Internationalization

%description -n %{libname}
Anthy library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d anthy 0
Conflicts:  %{mklibname anthy 0} < 9100e-10

%description -n %{develname}
Anthy development package: static libraries, header files, and the like.


%prep
%setup -q -n %{name}-%{version}-%{dic_date}ut

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/anthy/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Sun Aug 07 2011 fwang <fwang> 9100h-25.20110409.1.mga2
+ Revision: 132153
- new snapshot 20110409

* Thu Mar 24 2011 boklm <boklm> 9100h-25.20100710.3.mga1
+ Revision: 76129
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 9100h-25.20100710.2.mga1
+ Revision: 73645
- bump release
- clean up
- imported package anthy

